Subject: bug#9490: closed (Re: bug#9490: Error in Coreutils-8.12)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 13 Sep 2011 09:44:02 +0000

Your bug report

#9490: Error in Coreutils-8.12

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9490: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9490
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9490: Error in Coreutils-8.12
From: Jim Meyering <[email-masked]>
To: basavaraj b <[email-masked]>
Cc: [email-masked]
Date: Tue, 13 Sep 2011 11:38:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 9490 + moreinfo notabug
thanks

[I've re-added the list in Cc: please be sure to retain it when you reply]

basavaraj b wrote:
> Thanks for your quick reply!
> I am doing coreutils port on TANDEM.

Saying simply "TANDEM" is too vague.
If you request further assistance, please include more information,
like the output of the uname command.  That will give more detailed
hardware/os version-related information.

> Please find the needed attached files for your reference and share the solution
> ASAP.
>
> Thanks & Regards,
> Basavaraj B
>
> On Tue, Sep 13, 2011 at 12:37 PM, Jim Meyering <[email-masked]> wrote:
>
>     basavaraj b wrote:
>     > I have another error facing while running ./configure.
>     > Below is the error thrown:
>     > *configure: error: could not determine how to read list of mounted file
>     > systems*
>     > *
>     > *
>     > Request you to provide me the solution for the above error.
>
>     What type of system are you using?
>     When that test fails, it usually means that your type of system
>     is simply so different from all of the others for which it
>     does work that we really cannot find the list of mounted file systems.
>
>     To help us determine what's happening, you should also send two files:
>
>      config.log
>      lib/config.h

For starters, something about your system is wrong,
since these lines are appearing in each configure-generated
conftest.c program:

    | #define CHOWN_CHANGE_TIME_BUG 1
    | #define WORDS_BIGENDIAN 1
    | #define HAVE_DECL_STRERROR_R 0
    | #define HAVE_DECL_SETREGID 1
    | s line 1 of 5
    | You should not be reading this line 2 of 5
    | You should not be reading this line 3 of 5
    | You should not be reading this line 4 of 5
    | You should not be reading this line 5 of 5
    |
    | /* end confdefs.h.  */
    | /* Thanks to Mike Rendell for this test.  */
    | #include <stdio.h>
    | #ifdef HAVE_SYS_TYPES_H
    | # include <sys/types.h>
    | #endif

Secondly, you're using "c89"

c89: running /usr/cmplr/ccombe -mP1OPT_version=0 -mP2OPT_kstaticize_locals=F -mP2OPT_memcpy_inline=F -mP1OPT_print_version=FALSE -mGLOB_obj_output_file=conftest.o -mIPOPT_obj_output_file_name=conftest.o -mP1OPT_source_file_name=conftest.c -ZO1 -Zg2 -mGLOB_emit_both_nsk_line_tables=T -mP3OPT_linenum_dwarf2=T -mP3OPT_emit_line_numbers=T -D_XOPEN_SOURCE -ZR8 -Zf -ZT -D_TANDEM_SOURCE -Zz -I/usr/local/include -I/usr/include -D_LARGEFILE64_SOURCE=1 -D_FILE_OFFSET_BITS=64 -DSOCKLEN_T=socklen_t -D_XOPEN_SOURCE_EXTENDED=1 conftest.c
  s line 1 of 5
  ^
"/home/basav/coreutils-8.12/conftest.c", line 122: error(114): identifier "s"
          is undefined

And if that really is a C89 compiler, it will fail to compile
coreutils.  But first you'll have to get past the configure problem.

Since this failure is clearly not due to a bug in coreutils
(or even autoconf, which generates configure), I've marked this
ticket as closed.  However, please do reply to tell us about how
you resolved the problem, so there's a record of it.  Then if/when
someone else encounters it, they'll find your solution at
http://debbugs.gnu.org/9490.

Subject: Error in Coreutils-8.12
From: basavaraj b <[email-masked]>
To: [email-masked]
Date: Tue, 13 Sep 2011 12:17:29 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have another error facing while running ./configure.
Below is the error thrown:
*configure: error: could not determine how to read list of mounted file
systems*
*
*
Request you to provide me the solution for the above error.

Thanks & Regards,
Basavaraj B